import 'package:calc/calc.dart' as calc;

import 'dart:io';

// Funktion für Addition
double add(double a, double b) {
  return a + b;
}

// Funktion für Subtraktion
double subtract(double a, double b) {
  return a - b;
}

// Funktion für Multiplikation
double multiply(double a, double b) {
  return a * b;
}

// Funktion für Division
double divide(double a, double b) {
  if (b == 0) {
    print('Fehler: Division durch Null ist nicht möglich.');
    return double
        .nan; // Rückgabe von NaN (Not a Number) bei Division durch Null
  }
  return a / b;
}

void main() {
  // Einlesen der ersten Zahl
  print('Geben Sie die erste Zahl ein:');
  double? num1 = double.parse(stdin.readLineSync()!);

  // Einlesen der zweiten Zahl
  print('Geben Sie die zweite Zahl ein:');
  double? num2 = double.parse(stdin.readLineSync()!);

  // Auswahl der Rechenoperation
  print('Wählen Sie die gewünschte Operation:');
  print('1: Addition');
  print('2: Subtraktion');
  print('3: Multiplikation');
  print('4: Division');
  int? operation = int.parse(stdin.readLineSync()!);

  // Ausführen der gewählten Rechenoperation
  double result;
  switch (operation) {
    case 1:
      result = add(num1, num2);
      print('Das Ergebnis der Addition ist: $result');
      break;
    case 2:
      result = subtract(num1, num2);
      print('Das Ergebnis der Subtraktion ist: $result');
      break;
    case 3:
      result = multiply(num1, num2);
      print('Das Ergebnis der Multiplikation ist: $result');
      break;
    case 4:
      result = divide(num1, num2);
      if (!result.isNaN) {
        print('Das Ergebnis der Division ist: $result');
      }
      break;
    default:
      print('Ungültige Auswahl. Bitte wählen Sie eine Zahl zwischen 1 und 4.');
      break;
  }
}
