import 'dart:io';

// Funktion zur Temperaturumrechnung
double convertTemperature({double? celsius, double? fahrenheit}) {
  if (celsius != null) {
    // Umrechnung von Celsius in Fahrenheit
    return (celsius * 9 / 5) + 32;
  } else if (fahrenheit != null) {
    // Umrechnung von Fahrenheit in Celsius
    return (fahrenheit - 32) * 5 / 9;
  } else {
    throw ArgumentError(
        'Es muss entweder ein Celsius- oder ein Fahrenheit-Wert angegeben werden.');
  }
}

void main() {
  // Auswahl der Umrechnung
  print('Wählen Sie die Richtung der Umrechnung:');
  print('1: Celsius in Fahrenheit');
  print('2: Fahrenheit in Celsius');
  int? choice = int.parse(stdin.readLineSync()!);

  double result;

  // Durchführung der entsprechenden Umrechnung
  if (choice == 1) {
    print('Geben Sie die Temperatur in Celsius ein:');
    double? celsius = double.parse(stdin.readLineSync()!);
    result = convertTemperature(celsius: celsius);
    print('$celsius °C entsprechen $result °F');
  } else if (choice == 2) {
    print('Geben Sie die Temperatur in Fahrenheit ein:');
    double? fahrenheit = double.parse(stdin.readLineSync()!);
    result = convertTemperature(fahrenheit: fahrenheit);
    print('$fahrenheit °F entsprechen $result °C');
  } else {
    print('Ungültige Auswahl.');
  }
}
