import 'package:flutter/material.dart';
import 'todo_model.dart';

class ToDoProvider with ChangeNotifier {
  List<ToDo> _tasks = [];

  List<ToDo> get tasks => _tasks;

  void addTask(String title) {
    _tasks.add(ToDo(title: title));
    notifyListeners();
  }

  void toggleTask(int index) {
    _tasks[index].isDone = !_tasks[index].isDone;
    notifyListeners();
  }

  void removeTask(int index) {
    _tasks.removeAt(index);
    notifyListeners();
  }
}

