class Task {
  final int id;
  String title;
  bool isDone;

  Task({
    required this.id,
    required this.title,
    this.isDone = false,
  });

  // JSON-Konvertierung
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'title': title,
      'isDone': isDone,
    };
  }

  // Factory-Methode für JSON-Parsing
  factory Task.fromJson(Map<String, dynamic> json) {
    return Task(
      id: json['id'],
      title: json['title'],
      isDone: json['isDone'],
    );
  }

  @override
  String toString() {
    return '[$id] ${isDone ? '[x]' : '[ ]'} $title';
  }
}
