import 'dart:io';
import 'dart:convert';

import '../models/task.dart';

class TaskStorage {
  final String filePath;

  TaskStorage({this.filePath = 'tasks.json'});

  Future<void> saveTasks(List<Task> tasks) async {
    final file = File(filePath);
    final jsonList = tasks.map((task) => task.toJson()).toList();
    final jsonString = jsonEncode(jsonList);
    await file.writeAsString(jsonString);
  }

  Future<List<Task>> loadTasks() async {
    final file = File(filePath);

    if (!await file.exists()) {
      return [];
    }

    final jsonString = await file.readAsString();
    final List<dynamic> jsonData = jsonDecode(jsonString);
    return jsonData.map((item) => Task.fromJson(item)).toList();
  }
}
